class bi_java::openjdk::jdk1_8 (
    $package_name = hiera('package_name', undef),
    $java_home = hiera('java_home', undef),
    $java_opts = hiera('java_opts', undef),
) {
    require bi_java::etc
    
    $java_conf = "$bi_java::etc::path/jdk-1_8.conf"  
    
    bi_java::jdk { $package_name:
        java_conf => $java_conf,
        java_home => $java_home,
        java_opts => $java_opts,
    }
}